pcl::DefaultFeatureRepresentation< PointDefault > Class Template Reference

DefaulFeatureRepresentation extends PointRepresentation and is intended to be used when defining the default behavior for feature descriptor types (i.e., copy each element of each field into a float array). More...

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultFeatureRepresentation< PointDefault >:

## Public Types

typedef boost::shared_ptr< DefaultFeatureRepresentation< PointDefault > > | Ptr
typedef boost::shared_ptr< const DefaultFeatureRepresentation< PointDefault > > | ConstPtr
typedef pcl::traits::fieldList< PointDefault >::type | FieldList
Public Types inherited from pcl::PointRepresentation< PointDefault >
typedef boost::shared_ptr< PointRepresentation< PointDefault > > | Ptr
typedef boost::shared_ptr< const PointRepresentation< PointDefault > > | ConstPtr

## Public Member Functions

| DefaultFeatureRepresentation ()
Ptr | makeShared () const
virtual void | copyToFloatArray (const PointDefault &p, float *out) const
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< PointDefault >
| PointRepresentation ()
| Empty constructor. More...
virtual | ~PointRepresentation ()
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const PointDefault &p) const
| Verify that the input point is valid. More...
void | vectorize (const PointDefault &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::PointRepresentation< PointDefault >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

### template<typename PointDefault>
class pcl::DefaultFeatureRepresentation< PointDefault >

DefaulFeatureRepresentation extends PointRepresentation and is intended to be used when defining the default behavior for feature descriptor types (i.e., copy each element of each field into a float array).

Definition at line 221 of file point_representation.h.

## Member Typedef Documentation

template<typename PointDefault>

typedef boost::shared_ptr<const DefaultFeatureRepresentation<PointDefault> > pcl::DefaultFeatureRepresentation< PointDefault >::ConstPtr

Definition at line 294 of file point_representation.h.

template<typename PointDefault>

typedef pcl::traits::fieldList<PointDefault>::type pcl::DefaultFeatureRepresentation< PointDefault >::FieldList

Definition at line 295 of file point_representation.h.

template<typename PointDefault>

typedef boost::shared_ptr<DefaultFeatureRepresentation<PointDefault> > pcl::DefaultFeatureRepresentation< PointDefault >::Ptr

Definition at line 293 of file point_representation.h.

## Constructor & Destructor Documentation

template<typename PointDefault>

pcl::DefaultFeatureRepresentation< PointDefault >::DefaultFeatureRepresentation | ( |  | ) |

inline

Definition at line 297 of file point_representation.h.

## Member Function Documentation

template<typename PointDefault>

virtual void pcl::DefaultFeatureRepresentation< PointDefault >::copyToFloatArray | ( | const PointDefault & | p,
|  | float * | out
| ) |  | const

inline virtual

Copy point data from input point to a float array.

This method must be overriden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< PointDefault >.

Reimplemented in pcl::DefaultPointRepresentation< PPFSignature >.

Definition at line 310 of file point_representation.h.

template<typename PointDefault>

Ptr pcl::DefaultFeatureRepresentation< PointDefault >::makeShared | ( |  | ) | const

inline

Definition at line 304 of file point_representation.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/point_representation.h